import Xmobar

config :: Config
config = 
  defaultConfig
    { overrideRedirect = False
      , font     = "xft:JetBrains Mono NF:style=medium:size=9"
      , bgColor  = "#3c3836"
      , fgColor  = "#ebdbb2"
      , position = TopW L 120
      , commands = [ Run $ Cpu
                       [ "-L", "30"
                       , "-H", "70"
                       , "--high"  , "#fb4934"
                       , "--normal", "#fabd2f"
                       ] 10
                   , Run $ Alsa "default" "Master"
                       [ "--template", "<volumestatus>"
                       , "--suffix"  , "True"
                       , "--"
                       , "--on", ""
                       ]
                   , Run $ Memory ["--template", "Mem: <usedratio>%"] 10
                   , Run $ Swap [] 10
                   , Run $ Date "%a %D <fc=#458588>%I:%M %p</fc>" "date" 10
                   , Run XMonadLog
                   ]
      , sepChar  = "%"
      , alignSep = "}{"
      , template = "%XMonadLog% }{ %alsa:default:Master% | %cpu% | %memory% * %swap% | %date% "
      }

main :: IO()
main = xmobar config
